<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * Task
 *
 * @author sochoa
 */
class Task {

    private $id;
    private $owner;
    private $subject;
    private $description;

    /**
     *
     */
    private $start;
    private $end;

    /**
     *     
     */
    private $status;
    private $project;
    private $type;

    /**
     *     
     */
    private $progress;
    private $repeatGroup;
    private $reminderStartValue;
    private $reminderEndValue;
    private $reminderStartUnit;
    private $reminderEndUnit;

    /**
     *
     */
    private $users;
    private $roles;

    /**
     * 
     */
    private $documents;
    private $folders;
    private $mails;
    private $records;

    function __construct() {
        
    }

    public function getId() {
        return $this->id;
    }

    public function getOwner() {
        return $this->owner;
    }

    public function getSubject() {
        return $this->subject;
    }

    public function getDescription() {
        return $this->description;
    }

    public function getStart() {
        return $this->start;
    }

    public function getEnd() {
        return $this->end;
    }

    public function getStatus() {
        return $this->status;
    }

    public function getProject() {
        return $this->project;
    }

    public function getType() {
        return $this->type;
    }

    public function getProgress() {
        return $this->progress;
    }

    public function getRepeatGroup() {
        return $this->repeatGroup;
    }

    public function getReminderStartValue() {
        return $this->reminderStartValue;
    }

    public function getReminderEndValue() {
        return $this->reminderEndValue;
    }

    public function getReminderStartUnit() {
        return $this->reminderStartUnit;
    }

    public function getReminderEndUnit() {
        return $this->reminderEndUnit;
    }

    public function getUsers() {
        return $this->users;
    }

    public function getRoles() {
        return $this->roles;
    }

    public function getDocuments() {
        return $this->documents;
    }

    public function getFolders() {
        return $this->folders;
    }

    public function getMails() {
        return $this->mails;
    }

    public function getRecords() {
        return $this->records;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function setOwner($owner) {
        $this->owner = $owner;
    }

    public function setSubject($subject) {
        $this->subject = $subject;
    }

    public function setDescription($description) {
        $this->description = $description;
    }

    public function setStart($start) {
        $this->start = $start;
    }

    public function setEnd($end) {
        $this->end = $end;
    }

    public function setStatus($status) {
        $this->status = $status;
    }

    public function setProject($project) {
        $this->project = $project;
    }

    public function setType($type) {
        $this->type = $type;
    }

    public function setProgress($progress) {
        $this->progress = $progress;
    }

    public function setRepeatGroup($repeatGroup) {
        $this->repeatGroup = $repeatGroup;
    }

    public function setReminderStartValue($reminderStartValue) {
        $this->reminderStartValue = $reminderStartValue;
    }

    public function setReminderEndValue($reminderEndValue) {
        $this->reminderEndValue = $reminderEndValue;
    }

    public function setReminderStartUnit($reminderStartUnit) {
        $this->reminderStartUnit = $reminderStartUnit;
    }

    public function setReminderEndUnit($reminderEndUnit) {
        $this->reminderEndUnit = $reminderEndUnit;
    }

    public function setUsers($users) {
        $this->users = $users;
    }

    public function setRoles($roles) {
        $this->roles = $roles;
    }

    public function setDocuments($documents) {
        $this->documents = $documents;
    }

    public function setFolders($folders) {
        $this->folders = $folders;
    }

    public function setMails($mails) {
        $this->mails = $mails;
    }

    public function setRecords($records) {
        $this->records = $records;
    }

}
